"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapContainsKeys = mapContainsKeys;
const is_map_1 = require("../../type/is-map");
/**
 * @category Predicates
 * @param value The value to validate.
 * @param required List of mandatory keys for this set.
 * @typeParam Key The type of keys to check for.
 */
function mapContainsKeys(value, required) {
    return (0, is_map_1.isMap)(value) && [...required].every(item => value.has(item));
}
