"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapMaxSize = mapMaxSize;
const is_map_1 = require("../../type/is-map");
/**
 * @category Predicates
 * @param value The value to validate.
 * @param maximum The maximum size of the set that is allowed.
 */
function mapMaxSize(value, maximum) {
    if (typeof maximum !== 'number' || !Number.isFinite(maximum)) {
        throw new TypeError('Parameter "maximum" must be a finite number');
    }
    return (0, is_map_1.isMap)(value) && value.size <= maximum;
}
