"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setNotContains = setNotContains;
const is_set_1 = require("../../type/is-set");
/**
 * @category Predicates
 * @param value The value to validate.
 * @param forbidden List of forbidden values for this set.
 * @typeParam Value The type of values to check for.
 */
function setNotContains(value, forbidden) {
    return (0, is_set_1.isSet)(value) && [...forbidden].every(item => !value.has(item));
}
